libphobos2-ldc-shared82_1.12.0-1_i386.deb


Advertisement

Description

libphobos2-ldc-shared82 - LLVM D Compiler - Standard and runtime libraries

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libphobos2-ldc-shared82_1.12.0-1_i386.deb
Package name libphobos2-ldc-shared82
Package version 1.12.0
Package release 1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://github.com/ldc-developers/ldc
License -
Maintainer Debian D Language Group <team+d-team@tracker.debian.org>
Download size 9.02 MB
Installed size 35.20 MB
LDC is a portable compiler for the D programming language with modern
optimization and code generation capabilities.
It is based on the latest DMD frontend and uses LLVM as backend.
This package contains the Phobos D standard library, D runtime library
and LDC JIT library.

Alternatives

Package Version Architecture Repository
libphobos2-ldc-shared82_1.12.0-1_amd64.deb 1.12.0 amd64 Debian Main
libphobos2-ldc-shared82 - - -

Requires

Name Value
libc6 >= 2.15
libgcc1 >= 1:7
libstdc++6 >= 5.2
libtinfo6 >= 6
zlib1g >= 1:1.2.0

Conflicts

Name Value
libphobos2-ldc-shared81 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libphobos2-ldc-shared82_1.12.0-1_i386.deb
Source Package ldc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libphobos2-ldc-shared82 deb package:
    # sudo apt-get install libphobos2-ldc-shared82

Files

Path
/usr/lib/i386-linux-gnu/libdruntime-ldc-shared.so.2.0.82
/usr/lib/i386-linux-gnu/libdruntime-ldc-shared.so.82
/usr/lib/i386-linux-gnu/libldc-jit.so.2.0.82
/usr/lib/i386-linux-gnu/libldc-jit.so.82
/usr/lib/i386-linux-gnu/libphobos2-ldc-shared.so.2.0.82
/usr/lib/i386-linux-gnu/libphobos2-ldc-shared.so.82
/usr/share/doc/libphobos2-ldc-shared82/changelog.Debian.gz
/usr/share/doc/libphobos2-ldc-shared82/changelog.gz
/usr/share/doc/libphobos2-ldc-shared82/copyright

Changelog

2018-10-20 - Matthias Klumpp <mak@debian.org>
ldc (1:1.12.0-1) unstable; urgency=medium
* New upstream version: 1.12.0
* Rebuild LDC with its to-be-released version again when
bootstrapping, to ensure the released LDC was built with itself.
* Update shared library package SONAME
* Update patches
2018-09-08 - Matthias Klumpp <mak@debian.org>
ldc (1:1.11.0-2) unstable; urgency=medium
* Remove ppc64 and ppc64el from supported architecture list
- See https://github.com/ldc-developers/ldc/issues/2824 for the discussion
and upstream comment on this.
* Conflict with old phobos library again to make transition easier
2018-08-19 - Matthias Klumpp <mak@debian.org>
ldc (1:1.11.0-1) unstable; urgency=medium
* New upstream version: 1.11.0
- Now supports arm64, more testing is needed though (Closes: #791976)
* Drop bootstrap-pic-default.patch: Applied upstream
* Refresh & adjust patches
* Record packaged ltsmaster commit in d/ldc-ltsmaster-commit.txt
* Document new-release packaging workflow
* Bump standards version: No changes needed
* Update library package name
* Update package descriptions
* Build using LLVM 6 (Closes: #904278)
2018-05-06 - Matthias Klumpp <mak@debian.org>
ldc (1:1.8.0-3) unstable; urgency=medium
* Pass -V to dh_makeshlibs
* Update maintainer address to tracker.d.o
* bootstrap-no-zlib-embed.patch: Adjust to fix FTBFS with recent cmake
2018-03-31 - Matthias Klumpp <mak@debian.org>
ldc (1:1.8.0-2) unstable; urgency=medium
* Make libphobos2-ldc-shared-dev conflict with old libphobos2-ldc-dev
2018-03-12 - Matthias Klumpp <mak@debian.org>
ldc (1:1.8.0-1) unstable; urgency=medium
* New upstream version: 1.8.0
* Update Vcs-* URLs for Salsa switch
* d/watch: Tune to ignore the "CI" tag
* Switch to dh compat level 11
* Strip static libraries
* Refresh patches
* d/copyright: Use HTTPS URL
* Update package names to new shared library names
- Upstream now enforces a "-shared" suffix for all their shared
libraries (phobos/druntime). While this is uncommon and a breaking
change, we do not change this in Debian and follow upstream defaults.
The Phobos packages have been renamed accordingly.
See https://github.com/ldc-developers/ldc/pull/2443 for
details on the change.
2018-01-03 - Matthias Klumpp <mak@debian.org>
ldc (1:1.6.0-1) unstable; urgency=medium
* New upstream version: 1.6.0
* Update Phobos package name/contents for new runtime/stdlib
* Bump standards version: No changes needed
2017-11-06 - Matthias Klumpp <mak@debian.org>
ldc (1:1.5.0-1) unstable; urgency=medium
* New upstream version 1.5.0
- Fixes crash when compiling sambamba (Closes: #878837)
* d/rules: Only set DEB_HOST_ARCH if not set already
* Bump standards version: No changes needed
* d/rules: Use dh_missing
* Update Phobos library name and conflict with the old Phobos package
- The new conflicts relationship should reduce the risk of breakage,
since in the past it happened often that half of the archive was
compiled against a new Phobos version, breaking all binaries still
using the old version and loading a library compiled with the new one
(or vice versa). This reduces library co-installability, but in this
case of extreme ABI instability might be for the better, especially since
D itself doesn't have a stable ABI.
2017-09-30 - Matthias Klumpp <mak@debian.org>
ldc (1:1.4.0-3) unstable; urgency=medium
* Add Fix-storage-of-captured-lazy-parameters.patch
- Resolves an address boundary error, see LDC issue #2302
* Unconditionally bootstrap again
- Non-bootstrapped builds fail on ppc64el due to a relocation
error. This will likely be fixed in the next LDC release.

See Also

Package Description
libphodav-2.0-0_2.2-3_i386.deb WebDAV server implementation using libsoup
libphodav-2.0-common_2.2-3_all.deb WebDAV server implementation using libsoup (common files)
libphodav-2.0-dev_2.2-3_i386.deb WebDAV server implementation using libsoup (development files)
libphonenumber-dev_7.1.0-5+b4_i386.deb parsing/formatting/validating phone numbers - development files
libphonenumber7-java_7.1.0-5_all.deb parsing/formatting/validating phone numbers - java
libphonenumber7_7.1.0-5+b4_i386.deb parsing/formatting/validating phone numbers
libphonon-dev_4.10.2-1_i386.deb multimedia framework from KDE using Qt 4 - development files
libphonon4_4.10.2-1_i386.deb multimedia framework from KDE - core library
libphonon4qt5-4_4.10.2-1_i386.deb multimedia framework from KDE using Qt 5 - core library
libphonon4qt5-dev_4.10.2-1_i386.deb multimedia framework from KDE using Qt 5 - development files
libphonon4qt5experimental-dev_4.10.2-1_i386.deb multimedia framework from KDE using Qt 5 - experimental development files
libphonon4qt5experimental4_4.10.2-1_i386.deb multimedia framework from KDE using Qt 5 - experimental library (internal)
libphononexperimental-dev_4.10.2-1_i386.deb multimedia framework from KDE - experimental development files
libphononexperimental4_4.10.2-1_i386.deb multimedia framework from KDE using Qt 4 - experimental library (internal)
libphotos202-1-gfortran_20061220+dfsg3-3.1+b4_i386.deb [Physics] Monte Carlo simulation of photon radiation in decays
Advertisement
Advertisement